//
//  BoardCell.h
//  Shogiban2
//
//  Created by KOYAMA Yoshiaki on Sun Aug 10 2003.
//  Copyright (c) 2003 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BoardCell : NSObject {
    int _komaKind;
    int _x;
    int _y;
    int _count;
}

- (id)initBoardCell:(int)x :(int)y :(int)kind :(BOOL)nari;
- (id)initBoardCell:(BoardCell *)cell;

- (int)boardCellX;
- (int)boardCellY;
- (int)boardCellKomaKind;
- (int)boardCellCount;
- (void)setBoardCellX:(int)x;
- (void)setBoardCellY:(int)y;
- (void)setBoardCellKomaKind:(int)kind;
- (void)setBoardCellCount:(int)count;
- (void)eraseBoardCell;
- (void)promote;
- (BOOL)canPromote:(int)x :(int)y;
- (BOOL)canAutoPromote:(int)x :(int)y;
- (void)boardCellCopy:(BoardCell *)cell;
- (void)reversePromote;
- (void)boardCellCopyExceptCount:(BoardCell *)cell;
- (void)printBoardCell;

@end
